Description

This addon removes helmet/backpack integration from ALL outfits and re-balances them accordingly.

Preview
Separated Helmets Outfits Backpacks 1.1.4
Comments  (0 - 50 of 156)
Tegarccio
Tegarccio - - 130 comments

even when if doesn`t show on the model, an exoskeleton has his own helmet and the servos are placed where you put the backpack.
hope this addon helps somebody, and i apreciated your work on this

however, the main problem with anomaly and exos, is that you need one in order to fully benefit from the scavenger mechanic, wich, to me, is the greatest improvement on any stalker mod to date.

Reply Good karma Bad karma+1 vote
_STYX_
_STYX_ - - 89 comments

omg this mod is amazing! now i can properly customize my loadout to the last detail

Reply Good karma Bad karma+2 votes
dualsoul1423
dualsoul1423 - - 43 comments

YES! THIS IS PERFECT! THANK YOU!
The compatibility with Trader Complete is so useful!
I've needed this for so long! Thank you!

Reply Good karma Bad karma+1 vote
Bass-Junkie
Bass-Junkie - - 546 comments

oooooooooo vardy nice !

Reply Good karma Bad karma+1 vote
Guest
Guest - - 699,830 comments

This comment is currently awaiting admin approval, join now to view.

Theo_the_Dog
Theo_the_Dog - - 178 comments

Thanks for this. Especially for the custom icons and Trader Overhaul compatibility.

Reply Good karma Bad karma+1 vote
[๐š›๐šž๐š‹๐šข]
[๐š›๐šž๐š‹๐šข] - - 608 comments

btw iirc you can edit the backpacks to have upgrades like suits, or thats what i remember reading on the files while editing time ago. Noone before made any upgrade mod for the backpacks?

Reply Good karma Bad karma+5 votes
digitalifeless
digitalifeless - - 110 comments

Thanks, always bothered me unable to use those accessories when wearing exo..

//--

Still waiting for the day the dev team roll out the supposedly promised support for separated icon DDS file, rather than the current solution of stuffing everything into one file...

So, in the mean time...
- patch for QoL Icons
Download: Mediafire.com

Don't bother asking for patching other mods, I only did this cuz I using these 2 mods.

Reply Good karma Bad karma+4 votes
Vintar0 Author
Vintar0 - - 391 comments

Wow, QoL Icons is an addon I didn't know existed, but is definitely essential. Thanks for making it.

And thanks for making patches! I can start doing the QoL Icons patch in the future, since I'm gonna make the Nosorog icons a bit less janky when I have time.

Reply Good karma+3 votes
digitalifeless
digitalifeless - - 110 comments

just a notice: I updated my mod to V2 new version, already contain patch with your mod. Also included a correctly patched New Weapon & Item Icons together with your mod... was totally wrong last time ฮฃ(ใฃ ยฐะ” ยฐ;)ใฃ

Reply Good karma Bad karma+3 votes
isalcaruz
isalcaruz - - 27 comments

What adon did you use for the backpack icon and the power to add improvements to it?

Reply Good karma Bad karma+1 vote
MilligraM313
MilligraM313 - - 254 comments

This is dope,.. great idea and great work.

Reply Good karma Bad karma+1 vote
MilligraM313
MilligraM313 - - 254 comments

Will this mod mess with HD models in any way?. ill make a back up in case.

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

HD models only replaces the meshes, thankfully, so there are no issues with it.

If you want updated icons meant specifically for those HD outfits, see the post by digitallifeless above.

Reply Good karma+1 vote
MilligraM313
MilligraM313 - - 254 comments

niiicceee. I will definaley use this. Good work my friend.

Reply Good karma Bad karma+1 vote
BlackwolfLT777
BlackwolfLT777 - - 13 comments

does it work with Moddb.com

? like is it possible to use this mod for armours which originally were without helmet? or will they clash?

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

The mod you linked only updates icons (the ui_icons_equipment.dds file, specifically).

If you use that mod, their icons will show helmets, but otherwise there shouldn't be any issues.

Reply Good karma+2 votes
BlackwolfLT777
BlackwolfLT777 - - 13 comments

Also, any plans to make compability patches with :

Moddb.com
or

Moddb.com

(npc drops)

and

Moddb.com

since both of these mods are pretty popular but also i suppose people would also love to have separated helms

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

I personally use MisterKat's Realism Addon myself, and there are no incompatibilities with it.

Trader Overhaul Complete is compatible with this addon, and only requires my patch if you use the outfit version (without their new outfit icons!).

That Modular Tweaks addon has a lot of changes in it, so I'll just say that a good rule of thumb is this: Anything that asks you to overwrite a text file ending in .ltx or .script is incompatible and will require manual merging using something like WinMerge (unless a pre-made patch exists for the two mods).

Reply Good karma+2 votes
BlackwolfLT777
BlackwolfLT777 - - 13 comments

thanks for the help, saved me some time

Reply Good karma Bad karma+1 vote
Legasov
Legasov - - 27 comments

Hi. I appreciate your addon but I'd like to keep exoskeletons and Nosorogs unchanged - with helmet and without backpacks. What values should I edit? I tried to mess with files myself but I couldn't change it.

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

If you just want all exoskeletons, nosorogs, and proto-exoskeletons to disable backpack support, you'll need to edit configs/items/outfits/base.ltx so that [outfit_restrictions_3] includes the line 'backpack_allowed = false'. If you look at the rest of the file, it should be pretty intuitive.

HOWEVER, the carryweight bonuses of all those outfits were nerfed to accomodate the backpacks. Reverting those changes will require you to manually go through each outfit section and change additional_inventory_weight and additional_inventory_weight2 to your chosen values.

Even after doing this, the outfits were altered in other small ways, so it won't be a perfect vanilla match. If your issue with backpacks on exos is having to find a good backpack for it, I'd honestly just load up debug mode and give yourself a backpack from the item spawner.

Reply Good karma+3 votes
Legasov
Legasov - - 27 comments

Thanks. I can go through these values, no problem. I just didn't know where to start. And I think I have vanilla 'o_exoskeleton' file somewhere.

My issues were aesthetics (I just didn't like to see icon of exo with backpack and helmet) and logic, because in theory exos have servomotors on the back and straps of the backpacks could get screwed in between all these tubes etc.

Reply Good karma Bad karma0 votes
Legasov
Legasov - - 27 comments

There was absolutely no effect, except for bringing back other vanilla values but I'm using JGSME and files might have not get overwritten properly.

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

Outfit restrictions are defined in 'base.ltx' inside the outfits folder, and those restrictions are called in the same line as the outfit definition, like [o_exoskeleton]:outfit_base,outfit_restrictions_3

Don't know if that helps at all.

Personally, I find it less immersive that you can't have backpacks with exoskeletons, since their whole reason for existing is to ease the load of those giant military rucksacks you see on soldiers. Though I suppose you could mentally think of the exoskeleton as having a 'special' backpack that attaches better to the servo mount on their back

Reply Good karma+1 vote
Legasov
Legasov - - 27 comments

I've edited 'outfit_restrictions_3' in 'base.ltx' to include the line: backpack_allowed = false, but for some reason it had no effect on the game. I've tried it on existing saves and new game, there is no effect.

I can settle with having a backpack for my exo, but I'd like to have a non removable helmet at least with proper HUD. It should work because actor_effects.ltx has correct values.

I'll delete that addon and install it again to see if it does anything.

EDIT: it worked, thanks for help!

Reply Good karma Bad karma+1 vote
Gparabavizk
Gparabavizk - - 17 comments

good, I would like this incredible mod to be compatible with MORA'S MASK DX8 IN DX11, 10 AND 9. since I don't like the hud of the directx11 but when I install the MORAยดS MASK now I have 2 huds jajajja pls help:3

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

Could you be more specific? I checked that mod and am still not sure what the issue could be. Could you provide me a screenshot? Or the outfit/helmet you're using? If this happens with only one outfit/helmet or all of them?

Reply Good karma+1 vote
Gparabavizk
Gparabavizk - - 17 comments

I solved is a bug with other mod i habe so i deleted and yours work again but thanx for answer your mod is very good :3, could you make ghillie suit separate mask? I hate te respiration when sniping jajajajaja

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

Thank you for identifying that bug. It has been fixed in v1.0.2, which has just been uploaded.

Reply Good karma+1 vote
dualsoul1423
dualsoul1423 - - 43 comments

One bug I noticed is that the Fang's Exoskeleton from Trader Overhaul still has its helmet, but that's kinda the only bug I've noticed. I'll definitely report any more as I find them, but this generally seems to be working properly. If you can fix that in a future update, that'd be awesome.

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

I actually couldn't encounter this issue with v1.0.2. Did you replace o_exolight.ltx or o_exoskeleton.ltx with a different file than the ones provided by this addon?

Reply Good karma+1 vote
dualsoul1423
dualsoul1423 - - 43 comments

How strange. It wouldn't work on my old savefile no matter how many times I tried to update or reinstall, but now that I just tried with my new save that I just made yesterday, it worked fine. How bizzare. Thanks for looking into it though.

Reply Good karma Bad karma+1 vote
MXTRO
MXTRO - - 62 comments

Can you make patch for the magazine mod as well? Cause im using your mod and trader overhaul and the magazine one which is using ui icon equipment file as well

Reply Good karma Bad karma+1 vote
dualsoul1423
dualsoul1423 - - 43 comments

Already been done here:
Moddb.com

Reply Good karma Bad karma+1 vote
MXTRO
MXTRO - - 62 comments

Thanks!

Sadly even author of magazine addon says its outdated and advises not to use it.

I use trader overhaul as well

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

I'll make a patched icons file for Anomaly Magazines in the future, since I'm planning on using it for my next playthrough. However, it'll probably require QOL Icons v2, since that's what I use.

I won't be patching in support for the custom icons of the Trader Overhaul outfits. At least, not until the Anomaly devs allow icons to be drawn from more than one file. It's just too much work trying to make every conceivable combination of possible icons

Reply Good karma+1 vote
Sp@wnkiller
Sp@wnkiller - - 26 comments

Hello Vintar0

This is a great idea, thank you very much for creating and sharing your mod.

Did you know the โ€œPSYโ€ resistance progression math of ANOMALY is broken according to this mod โ€œARSZI'S CONTROLLER FIX AND PSY OVERHAULโ€ Moddb.com?
Sometimes the protection is not even activated on helmets or suits that should have them in the first place? Would you consider to take a look into it and maybe make a compatibility patch and/or adapting the idea into the rebalancing of your mod?

Also would it be possible to make an a compatibility patch for "GET ALL UPGRADES" Moddb.com?

wbr Spawnkiller

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

I'll consider making a patch file for Psi Overhaul.

I won't make a patch for 'Get all upgrades', since there's a new addon that does the same thing without needing patched files: Moddb.com

Reply Good karma+2 votes
DDLicio
DDLicio - - 3 comments

Why the voyager suit got very nerfed? it still expensive and now it doesnt have a main purpose even some other cheaper armors now have better weight distribution

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

When I reduced the weight capacity of outfits with integrated backpacks, I also reduced the price by the cost of the corresponding backpack. Looks like I forgot to do it for the voyager suit - I'll fix that for the next version.

Reply Good karma+1 vote
montyson
montyson - - 57 comments

Hi All,

is this save compatible? Currently explored six maps and lots to do, but now have monies to buy/upgrade loner exo. Don't really want to restart if this breaks my progress.

Reply Good karma Bad karma+1 vote
Vintar0 Author
Vintar0 - - 391 comments

It is compatible with existing saves.

Reply Good karma+2 votes
montyson
montyson - - 57 comments

Thanks! I should have posted earlier but can confirm after many hours that there are no issues. Great mod!

Reply Good karma Bad karma+1 vote
Guest
Guest - - 699,830 comments

I love your mod, would it be possible to update it to 1.5.0 b3?

Reply Good karma Bad karma0 votes
Vintar0 Author
Vintar0 - - 391 comments

If you're referring to the beta version from Discord, not yet. I will update this and my other addon once the final version of 1.5 is released (eg. once the beta test period is over).

Reply Good karma+1 vote
unwounddragon55
unwounddragon55 - - 24 comments

RC18?

Reply Good karma Bad karma+1 vote
cocosusprime
cocosusprime - - 2 comments

I like it so bad, but I don't know should I use it with traders Overhaul v1.24...
I am afraid that it will break the compatibility between it and B&S...

Reply Good karma Bad karma+1 vote
MilligraM313
MilligraM313 - - 254 comments

I LOVE this MOD,im wondering if it will work on RC18

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.